Supported Browsers > FerrisConnect

Below is a list of supported and unsupported client technologies for the current FerrisConnect system, which is currently Blackboard Learn 9.1 SP10.

Certified: Fully tested and supported.

Compatible: Partially tested but should function properly.

Unsupported: Either impossible or not tested.

Provisional: Future technologies considered supported by Blackboard Support.

Windows Operating Systems

  IE 9 IE 8 IE 7 Firefox (ESR) Firefox (Final Release Channel) Firefox 3.6 Chrome (Stable Channel)
Windows XP (32-bit) Unsupported by Microsoft Compatible Unsupported Certified Compatible Unsupported Compatible
Windows Vista (32-bit) Certified Compatible Unsupported Certified Certified Unsupported Compatible
Windows Vista (64-bit) Compatible Compatible Unsupported Certified Compatible Unsupported Compatible
Windows 7 (32-bit) Certified Compatible Unsupported Certified Certified Unsupported Certified
Windows 7 (64-bit) Certified Compatible Unsupported Certified Certified Unsupported Certified

Mac OSX Operating System

  Safari 5.1 Safari 5.0 Safari 4.0 Firefox (ESR) Firefox (Final Release Channel) Firefox 3.6 Chrome (Stable Channel)
Mac OSX 10.5 Unsupported by Apple Unsupported Unsupported Unsupported Unsupported Unsupported Unsupported
Mac OSX 10.6 Certified Certified Compatible Certified Certified Unsupported Certified
Mac OSX 10.7 Certified Unsupported by Apple Unsupported by Apple Certified Certified Unsupported Certified
  • Internet Explorer 8 and Internet Explorer 9 are only supported in Standards Mode.
  • Chrome support due to the auto-update feature of Chrome, support is based on the version available at the time of testing - release docs will note version tested.
  • Firefox support: due to the auto-update feature of Firefox, support is based on the version available at the time of testing - release docs to note version tested.

Technologies not supported:

  • Internet Explorer 6, 7
  • Firefox 1.5, 2.0, 3.0, 3.5, and 3.6
  • Safari 2.0, 3.x (or any version on Windows)
  • Windows XP 64-bit (unlisted)
  • Mac OS X 10.3, OS X 10.4, OS X 10.5
  • JRE 5

Last updated: 02-19-2013